Bug 846332 - Doesn't show shutdown messages during shutdown/reboot
Doesn't show shutdown messages during shutdown/reboot
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: systemd (Show other bugs)
18
Unspecified Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: systemd-maint
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-08-07 09:28 EDT by Rik Theys
Modified: 2014-02-05 07:03 EST (History)
12 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-02-05 07:03:11 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Rik Theys 2012-08-07 09:28:13 EDT
Description of problem:

When the system is shut down, it shows the fedora logo and start the shutdown procedure. When ESC is pressed to see the shutdown messages, they can not be found on any vt.

This makes it impossible to determine if/why your system is not shutting down and hanging on something.

Please bring back the shutdown messages similar to the startup messages when ESC is pressed.


Version-Release number of selected component (if applicable):


How reproducible:

always

Steps to Reproduce:
1. boot system
2. shutdown/reboot system from login screen
3. press esc during plymouth shutdown logo
  
Actual results:

blinking cursor but no shutdown messages on any vt

Expected results:

shutdown messages for services as they are (being) stopped, similar to the boot messages.

Additional info:
Comment 1 Michal Schmidt 2012-08-08 11:25:06 EDT
It could be caused by not resetting the "m->show_status" flag during shutdown.
Please test if you see the messages when you boot with "plymouth.enable=0" on the kernel command line.
Comment 2 Rik Theys 2012-08-09 02:53:03 EDT
Hi Michal,

Adding plymouth.enable=0 on the command line makes it even worse: I now don't even have boot messages, only the output from systemd-fsck is shown.

The shutdown messages part is the same: only the very last messages about unmounting filesystems is shown. The messages about which services are being started and stopped is not shown.

Regards,

Rik
Comment 3 Michal Schmidt 2012-08-09 05:45:26 EDT
I forgot that there's "quiet" on the kernel command line by default. For the test, you either need to delete that word, or add one more option: systemd.show_status=1
Comment 4 Rik Theys 2012-08-20 02:44:27 EDT
Hi Michal,

Removing the quiet option results in the kernel messages being shown, but no other messages (no systemd messages).

Adding the systemd.show_status=1 indeed makes the shutdown messages appear.

Adding only systemd.show_status=1 and dropping the plymouth.enable=0 seems to revert to the old behaviour? Or maybe I wasn't fast enough pressing ESC on plymouth during shutdown.

Regards,

Rik
Comment 5 Lennart Poettering 2012-09-14 04:53:49 EDT
If you are running plymouth and don't see this output this would be a plymouth bug. If you use plymouth.enable=0 and drop quiet systemd shows the output to you, right? Is there anything to fix in systemd here?
Comment 6 Rik Theys 2012-10-05 04:03:44 EDT
If I add plymouth.enable=0 and drop quiet it does show the startup and shutdown messages.

If I remove rhgb from the boot line and keep quiet, I get the startup messages (and no plymouth) without the kernel messages (as it should). But I don't get any shutdown messages from systemd (except for the very last unmount lines). So I believe this is a bug in systemd as plymouth is not even enabled. It seems systemd does not print the 'Stopping/Stopped' messages when quiet is specified on the kernel command line.
Comment 7 Jóhann B. Guðmundsson 2013-06-15 13:16:13 EDT
Hmm

Wondering if this is related not all plymouth units being disabled with "plymouth.enable=0"?  

Atleast with systemd-204-6.fc19.x86_64 and plymouth-0.8.9-0.2013.03.26.0.fc19.x86_64

If one boots with plymouth.enable=0 there are still plymouth related units being run as can be seen with...

# systemd-analyze blame | grep plymouth
25ms plymouth-read-write.service 
13ms plymouth-quit.service
3ms plymouth-quit-wait.service 

Rik does this work as you expect if you mask ( systemctl mask ) all the plymouth units?
Comment 8 Rik Theys 2013-06-20 08:42:27 EDT
Hi,

I'm trying to debug this again on a fully up to date Fedora 18.

My kernel parameters (/etc/default/grub) includes rhgb and quiet and no systemd.* or plymouth*.

When I boot and press ESC during the plymouth splash, I can see startup messages. When GDM is running I click reboot and see no shutdown messages: the screen stays black.

When I press ESC during the shutdown I see some shutdown messages flash by but not all of them. Is the default plymouth shutdown screen a black screen? Can it be made a "shutting down - press ESC for details" message or something?

Anyway, I'm trying to slow down the shutdown/reboot by creating a sleep30.service which should sleep 30 seconds on shutdown/reboot but I'm failing :-(.

I've created /etc/systemd/service/sleep30.service with content:

[Unit]
Description="Sleep 30 seconds"
DefaultDependencies=no
After=sysinit.target
Before=reboot.target

[Service]
Type=oneshot
ExecStart=/usr/bin/sleep 30


I've also created /etc/systemd/system/reboot.target.wants/sleep30.service as a link to the above service file.

When the system is shut down, I don't notice any 30s delay. How can I do this?

Another thing I've noticed is that if you boot the system and wait for gdm to start. You log in to tty2 and issue a 'reboot' command, you don't see any shutdown messages until gdm is killed and you see the last messages. It would be nice to show all stopping services before gdm gets killed. If one of them hangs now, you get no feedback.

Regards,

Rik
Comment 9 Fedora End Of Life 2013-12-21 03:40:21 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 10 Fedora End Of Life 2014-02-05 07:03:14 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.